cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/progress-photos/{progressPhotoId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/progress-photos/{progressPhotoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/progress-photos/{progressPhotoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"photo": {
"progressPhotoId": "<string>",
"clientId": "<string>",
"orientation": "<string>",
"customLabel": "<string>",
"image": {
"downloadUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"expiresInSeconds": 123
},
"takenAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Progress photos
Get progress photo
Requires progress_photos:read.
GET
/
public
/
v1
/
clients
/
{clientId}
/
progress-photos
/
{progressPhotoId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/progress-photos/{progressPhotoId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/progress-photos/{progressPhotoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/progress-photos/{progressPhotoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"photo": {
"progressPhotoId": "<string>",
"clientId": "<string>",
"orientation": "<string>",
"customLabel": "<string>",
"image": {
"downloadUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"expiresInSeconds": 123
},
"takenAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I